package supperSlonic.emrWorkflow.Builders;

import java.util.ArrayList;
import java.util.List;

import supperSlonic.emrWorkflow.JobFlowContext;

public class ArgsBuilder extends BaseListBuilder<String>
{
	private String prefix;
	
	protected ArgsBuilder(JobFlowContext context, String prefix)
	{
		super(context);
		this.prefix = prefix;
	}

	@Override
	public List<String> build()
	{
		List<String> result = new ArrayList<String>();
		this.buildList(result);
		return result;
	}
	
	@Override
	protected String build(int index)
	{
		return this.getArgValue(String.format(this.prefix + "Args.M%d", index));
	}
	
	protected String getArgValue(String argName)
	{
		return this.getValueOrNull(argName);
	}
}