package supperSlonic.emrWorkflow.Builders.Utils;

import supperSlonic.emrWorkflow.JobFlowContext;
import supperSlonic.emrWorkflow.Builders.BaseBuilder;

import com.amazonaws.services.elasticmapreduce.model.BootstrapActionConfig;
import com.amazonaws.services.elasticmapreduce.model.ScriptBootstrapActionConfig;

public class HBaseInstallBootstrapAction extends BaseBuilder<BootstrapActionConfig>
{	
	public HBaseInstallBootstrapAction(JobFlowContext context)
	{
		super(context);
	}

	@Override
	public BootstrapActionConfig build()
	{
		ScriptBootstrapActionConfig scriptBootstrapAction = new ScriptBootstrapActionConfig();
		scriptBootstrapAction.setPath("s3://elasticmapreduce/bootstrap-actions/setup-hbase");
		
		BootstrapActionConfig result = new BootstrapActionConfig("Install HBase", scriptBootstrapAction);
		System.out.println(result.toString());
		
		return result;
	}
}
