package supperSlonic.emrWorkflow.BuildersXml.Utils;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class ValidationErrorHandler implements ErrorHandler
{
	private String errorMessages;
	
	public void error(SAXParseException ex) throws SAXException
	{
		this.addError(ex.getMessage());
	}

	public void fatalError(SAXParseException ex) throws SAXException
	{
		this.addError(ex.getMessage());
	}

	public void warning(SAXParseException ex) throws SAXException
	{
		this.addError(ex.getMessage());
	}
	
	private void addError(String error)
	{
		if(errorMessages == null)
			errorMessages = error;
		else
			errorMessages += "\r\n" + error;
	}
	
	public String getErrors()
	{
		return this.errorMessages;
	}
}
