package supperSlonic.emrWorkflow.Builders.Utils;

import supperSlonic.emrWorkflow.JobFlowContext;
import supperSlonic.emrWorkflow.Builders.BaseConfigurationBuilder;

public class HadoopConfigurationBuilder extends BaseConfigurationBuilder
{
	private static final String ARGS_SEPARATOR = "-s";
	private static final String PREFIX = "HadoopConf.";
	private static final String NAME = "Configure Hadoop";
	private static final String PATH = "s3://elasticmapreduce/bootstrap-actions/configure-hadoop";
	
	public HadoopConfigurationBuilder(JobFlowContext context)
	{
		super(context, ARGS_SEPARATOR, PREFIX, NAME, PATH);
	}
}
